Bug 13785 - koha-disable should also stop SIP/Zebra/Indexer for instance
Summary: koha-disable should also stop SIP/Zebra/Indexer for instance
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Larry Baerveldt
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13784
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-03 15:31 UTC by Larry Baerveldt
Modified: 2015-12-03 22:03 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13785 - Koha-disable should also stop SIP and zebra for instance (1.55 KB, patch)
2015-03-03 15:39 UTC, Larry Baerveldt
Details | Diff | Splinter Review
Bug 13785 - Koha-disable should also stop SIP and zebra for instance (1.60 KB, patch)
2015-03-04 19:08 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 13785 - Koha-disable should also stop SIP and zebra for instance (1.65 KB, patch)
2015-03-05 04:37 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 13785 - Koha-disable should also stop SIP and zebra for instance (1.65 KB, patch)
2015-03-05 04:37 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 13785: koha-disable should also stop SIP and zebra for instance (1.70 KB, patch)
2015-03-07 21:27 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 13785: (QA followup) koha-disable should stop the indexer daemon (913 bytes, patch)
2015-03-07 21:28 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Baerveldt 2015-03-03 15:31:22 UTC
Patch to come.
Comment 1 Larry Baerveldt 2015-03-03 15:39:41 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2015-03-04 19:08:25 UTC Comment hidden (obsolete)
Comment 3 Robin Sheat 2015-03-05 04:37:06 UTC Comment hidden (obsolete)
Comment 4 Robin Sheat 2015-03-05 04:37:45 UTC Comment hidden (obsolete)
Comment 5 Tomás Cohen Arazi 2015-03-07 21:27:55 UTC
Created attachment 36731 [details] [review]
Bug 13785: koha-disable should also stop SIP and zebra for instance

Currently koha-disable ONLY disables the instance in the apache conf
file. Presumably if you want to disable the instance, you also want
its processes to stop, so this patch will stop zebra, if running,
and SIP, if enabled.

Depends on Bug 13784.

To Test:
1) Have an enabled instance, with zebra and SIP running.
2) Run koha-disable INST. Note that after, both zebra and SIP
   will still be running.
3) Re-enable INST.
4) Apply patch, and then copy debian/scripts/koha-disable to
   package site, over /usr/sbin/koha-disable.
5) Run koha-disable INST. You should now see that both zebra
   and SIP have been stopped.

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Signed-off-by: Robin Sheat <robin@catalyst.net.nz>
Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 6 Tomás Cohen Arazi 2015-03-07 21:28:03 UTC
Created attachment 36732 [details] [review]
Bug 13785: (QA followup) koha-disable should stop the indexer daemon

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 7 Tomás Cohen Arazi 2015-03-11 18:17:09 UTC
Patch pushed to master.

Thanks Larry!
Comment 8 Chris Cormack 2015-03-13 22:41:59 UTC
Pushed to 3.18.x will be in 3.18.5
Comment 9 Mason James 2015-03-27 02:18:06 UTC
Pushed to 3.16.x, will be in 3.16.9